Skip to content

Delete a lesson block

DELETE
/apps/{appId}/lessons/{lessonId}/blocks/{blockId}
curl --request DELETE \
--url https://api.passion.io/v1/apps/example/lessons/example/blocks/example
appId
required

The id of the App, as Studio shows it.

string
/^[1-9][0-9]*$/
lessonId
required

The id of a lesson, as get_course or create_lesson answers it.

string
/^[0-9A-Za-z-]+$/
blockId
required

The id of a block of the lesson, as get_course answers it.

string
/^[0-9A-Za-z-]+$/

OK

Media typeapplication/json
object
blockId
required
string
lessonId
required
string
kind
required
string
Allowed values: text image video audio files faq button other
Example
{
"kind": "text"
}